Skip to main content
POST
/
web
/
read
cURL
curl -X POST https://api.crevio.co/v1/web/read \
  -H "Authorization: Bearer $CREVIO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://example.com","extract":"What is this page about?"}'
{
  "url": "<string>",
  "title": "<string>",
  "markdown": "<string>",
  "metadata": {},
  "html": "<string>",
  "screenshot_url": "<string>",
  "extracted": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Body

application/json
url
string
required

The URL to read.

formats
string[]

Output formats: markdown (default), html, screenshot.

only_main_content
boolean

Strip nav/ads/footers (default true).

extract
string

Optional question to answer using the page content.

Response

OK

url
string
title
string
markdown
string
metadata
object
html
string

Only when requested via formats.

screenshot_url
string

Only when requested via formats.

extracted
string

AI answer — only when extract is provided.